import ibizbook_en_US from '@locale/lanres/entities/ibizbook/ibizbook_en_US';
import ibizsample0019_en_US from '@locale/lanres/entities/ibizsample0019/ibizsample0019_en_US';
import ibizsample0009_en_US from '@locale/lanres/entities/ibizsample0009/ibizsample0009_en_US';
import ibizcustom_en_US from '@locale/lanres/entities/ibizcustom/ibizcustom_en_US';
import ibizhardware_en_US from '@locale/lanres/entities/ibizhardware/ibizhardware_en_US';
import ibizsample0020_en_US from '@locale/lanres/entities/ibizsample0020/ibizsample0020_en_US';
import ibizsample0017_en_US from '@locale/lanres/entities/ibizsample0017/ibizsample0017_en_US';
import microcomponent_en_US from '@locale/lanres/entities/micro-component/micro-component_en_US';
import ibizsample0013_en_US from '@locale/lanres/entities/ibizsample0013/ibizsample0013_en_US';
import ibizorderdetail_en_US from '@locale/lanres/entities/ibizorder-detail/ibizorder-detail_en_US';
import ibizsample0003_en_US from '@locale/lanres/entities/ibizsample0003/ibizsample0003_en_US';
import ibizsample0006_en_US from '@locale/lanres/entities/ibizsample0006/ibizsample0006_en_US';
import ibizsample0021_en_US from '@locale/lanres/entities/ibizsample0021/ibizsample0021_en_US';
import ibizappctrl_en_US from '@locale/lanres/entities/ibizappctrl/ibizappctrl_en_US';
import ibizsoftwaresuit_en_US from '@locale/lanres/entities/ibizsoftware-suit/ibizsoftware-suit_en_US';
import ibiztaskteam_en_US from '@locale/lanres/entities/ibiztaskteam/ibiztaskteam_en_US';
import ibizsample0012_en_US from '@locale/lanres/entities/ibizsample0012/ibizsample0012_en_US';
import ibizordertype_en_US from '@locale/lanres/entities/ibizorder-type/ibizorder-type_en_US';
import ibizsample0005_en_US from '@locale/lanres/entities/ibizsample0005/ibizsample0005_en_US';
import ibizappeditor_en_US from '@locale/lanres/entities/ibizappeditor/ibizappeditor_en_US';
import ibizaccount_en_US from '@locale/lanres/entities/ibizaccount/ibizaccount_en_US';
import ibizorder_en_US from '@locale/lanres/entities/ibizorder/ibizorder_en_US';
import ibizsample_en_US from '@locale/lanres/entities/ibizsample/ibizsample_en_US';
import ibizcustomer_en_US from '@locale/lanres/entities/ibizcustomer/ibizcustomer_en_US';
import ibizcustomermg_en_US from '@locale/lanres/entities/ibizcustomer-mg/ibizcustomer-mg_en_US';
import ibizsample0014_en_US from '@locale/lanres/entities/ibizsample0014/ibizsample0014_en_US';
import ibizsample0010_en_US from '@locale/lanres/entities/ibizsample0010/ibizsample0010_en_US';
import ibizappview_en_US from '@locale/lanres/entities/ibizappview/ibizappview_en_US';
import ibizsample0018_en_US from '@locale/lanres/entities/ibizsample0018/ibizsample0018_en_US';
import ibizsample0015_en_US from '@locale/lanres/entities/ibizsample0015/ibizsample0015_en_US';
import ibizsample0001_en_US from '@locale/lanres/entities/ibizsample0001/ibizsample0001_en_US';
import ibizcustomer_intf_en_US from '@locale/lanres/entities/ibizcustomer-intf/ibizcustomer-intf_en_US';
import ibizsample0007_en_US from '@locale/lanres/entities/ibizsample0007/ibizsample0007_en_US';
import ibizsample0004_en_US from '@locale/lanres/entities/ibizsample0004/ibizsample0004_en_US';
import ibizsample0008_en_US from '@locale/lanres/entities/ibizsample0008/ibizsample0008_en_US';
import ibizappextendeditor_en_US from '@locale/lanres/entities/ibizappextendeditor/ibizappextendeditor_en_US';
import ibizcpu_en_US from '@locale/lanres/entities/ibizcpu/ibizcpu_en_US';
import ibizsample0002_en_US from '@locale/lanres/entities/ibizsample0002/ibizsample0002_en_US';
import ibizstorage_en_US from '@locale/lanres/entities/ibizstorage/ibizstorage_en_US';
import ibizsupplier_en_US from '@locale/lanres/entities/ibizsupplier/ibizsupplier_en_US';
import ibiztask_en_US from '@locale/lanres/entities/ibiztask/ibiztask_en_US';
import dynadashboard_en_US from '@locale/lanres/entities/dynadashboard/dynadashboard_en_US';
import ibizuniproduct_en_US from '@locale/lanres/entities/ibizuniproduct/ibizuniproduct_en_US';
import ibizsample0011_en_US from '@locale/lanres/entities/ibizsample0011/ibizsample0011_en_US';
import ibizsample0016_en_US from '@locale/lanres/entities/ibizsample0016/ibizsample0016_en_US';
import components_en_US from '@locale/lanres/components/components_en_US';
import codelist_en_US from '@locale/lanres/codelist/codelist_en_US';
import userCustom_en_US from '@locale/lanres/userCustom/userCustom_en_US';
import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lang/en-US-base.ts.ftl 生成
function getAppLocale(){
    const data:any = {
        app: {
            commonWords:{
                error: "Error",
                success: "Success",
                ok: "OK",
                cancel: "Cancel",
                save: "Save",
                codeNotExist: 'Code list does not exist',
                reqException: "Request exception",
                sysException: "System abnormality",
                warning: "Warning",
                wrong: "Error",
                rulesException: "Abnormal value check rule",
                saveSuccess: "Saved successfully",
                saveFailed: "Save failed",
                createFailed: 'Create Failed',
                deleteSuccess: "Successfully deleted!",
                deleteError: "Failed to delete",
                delDataFail: "Failed to delete data",
                noData: "No data",
                startsuccess:"Start successful",
                loadmore:"Load more",
                nomore:"No more",
                other:"other",
                isExist: 'is exist',
                valueNotEmpty:"The value cannot be null",
            },
            local:{
                new: "New",
                add: "Add",
            },
            grid: {
                exportexcel: {
                    error: 'Export Failed'
                }
            },
            gridpage: {
                choicecolumns: "Choice columns",
                refresh: "refresh",
                show: "Show",
                records: "records",
                totle: "totle",
                valueVail: "Value cannot be empty",
                group:"Group",
                other:"Other",
                notConfig: {
                    fetchAction: "The view table fetchaction parameter is not configured",
                    removeAction: "The view table removeaction parameter is not configured",
                    createAction: "The view table createaction parameter is not configured",
                    updateAction: "The view table updateaction parameter is not configured",
                    loaddraftAction: "The view table loadtrafaction parameter is not configured",
                },
                data: "Data",
                delDataFail: "Failed to delete data",
                delSuccess: "Delete successfully!",
                confirmDel: "Are you sure you want to delete",
                notRecoverable: "delete will not be recoverable?",
                notBatch: "Batch addition not implemented",
                grid: "Grid",
                exportFail: "Data export failed",
                sum: "Total",
                formitemFailed: "Form item update failed",
            },
            list: {
                notConfig: {
                    fetchAction: "View list fetchAction parameter is not configured",
                    removeAction: "View table removeAction parameter is not configured",
                    createAction: "View list createAction parameter is not configured",
                    updateAction: "View list updateAction parameter is not configured",
                },
                confirmDel: "Are you sure you want to delete",
                notRecoverable: "delete will not be recoverable?",
            },
            listExpBar: {
                title: "List navigation bar",
            },
            wfExpBar: {
                title: "Process navigation bar",
            },
            calendarExpBar:{
                title: "Calendar navigation bar",
            },
            treeExpBar: {
                title: "Tree view navigation bar",
            },
            portlet: {
                noExtensions: "No extensions",
            },
            tabpage: {
                sureclosetip: {
                    title: "Close warning",
                    content: "Form data Changed, are sure close?",
                },
                closeall: "Close all",
                closeother: "Close other",
            },
            fileUpload: {
                caption: "Upload",
            },
            searchButton: {
                search: "Search",
                reset: "Reset",
            },
            calendar:{
            today: "today",
            month: "month",
            week: "week",
            day: "day",
            list: "list",
            dateSelectModalTitle: "select the time you wanted",
            gotoDate: "goto",
            from: "From",
            to: "To",
            },
            // 非实体视图
            views: {
                appindexview2: {
                    caption: commonLogic.appcommonhandle("菜单右对齐",null),
                    title: commonLogic.appcommonhandle("菜单右对齐",null),
                },
                appportalview2: {
                    caption: commonLogic.appcommonhandle("Portal Components",null),
                    title: commonLogic.appcommonhandle("门户部件",null),
                },
                index: {
                    caption: commonLogic.appcommonhandle("R7 Vue Demo",null),
                    title: commonLogic.appcommonhandle("",null),
                },
                apppanelview: {
                    caption: commonLogic.appcommonhandle("",null),
                    title: commonLogic.appcommonhandle("应用面板视图",null),
                },
                appindexview: {
                    caption: commonLogic.appcommonhandle("测试12231",null),
                    title: commonLogic.appcommonhandle("应用首页视图",null),
                },
                appwfsteptraceview: {
                    caption: commonLogic.appcommonhandle("应用流程跟踪视图",null),
                    title: commonLogic.appcommonhandle("应用流程跟踪视图",null),
                },
                appportalview: {
                    caption: commonLogic.appcommonhandle("Work bench",null),
                    title: commonLogic.appcommonhandle("工作台",null),
                },
                appwfredirectview: {
                    caption: commonLogic.appcommonhandle("应用全局流程工作重定向视图",null),
                    title: commonLogic.appcommonhandle("应用流程工作重定向视图",null),
                },
                apppanelview2: {
                    caption: commonLogic.appcommonhandle("工作流待办",null),
                    title: commonLogic.appcommonhandle("工作流待办",null),
                },
                apploginview: {
                    caption: commonLogic.appcommonhandle("应用登录视图",null),
                    title: commonLogic.appcommonhandle("应用登录视图",null),
                },
            },
            utilview:{
                importview:"Import Data",
                warning:"warning",
                info:"Please configure the data import item",
                nodatakey:"No data primary key",
                printerror:"Printing failed",
                noprint:"No print items"
            },
            menus: {
                quickmenubar: {
                    menuitem1: commonLogic.appcommonhandle("应用菜单",null),
                    menuitem2: commonLogic.appcommonhandle("打开文档",null),
                },
                iconmenu: {
                    menuitem1: commonLogic.appcommonhandle("菜单1",null),
                    menuitem6: commonLogic.appcommonhandle("菜单项",null),
                    menuitem9: commonLogic.appcommonhandle("菜单项",null),
                    menuitem10: commonLogic.appcommonhandle("菜单项",null),
                    menuitem2: commonLogic.appcommonhandle("菜单2",null),
                    menuitem7: commonLogic.appcommonhandle("菜单项",null),
                    menuitem3: commonLogic.appcommonhandle("菜单3",null),
                    menuitem8: commonLogic.appcommonhandle("菜单项",null),
                    menuitem4: commonLogic.appcommonhandle("菜单4",null),
                    menuitem5: commonLogic.appcommonhandle("菜单5",null),
                },
                appindexview: {
                },
                usr1207222915menu: {
                    menuitem3: commonLogic.appcommonhandle("右对齐菜单",null),
                    menuitem2: commonLogic.appcommonhandle("树视图",null),
                    menuitem1: commonLogic.appcommonhandle("分页导航",null),
                },
                mainmenu: {
                    menuitem1: commonLogic.appcommonhandle("Work bench",null),
                    menuitem201: commonLogic.appcommonhandle("测试界面逻辑",null),
                    menuitem3: commonLogic.appcommonhandle("Control",null),
                    menuitem6: commonLogic.appcommonhandle("Default Data Type",null),
                    menuitem7: commonLogic.appcommonhandle("Default Editor Type",null),
                    menuitem72: commonLogic.appcommonhandle("Extension Editor",null),
                    menuitem65: commonLogic.appcommonhandle("Micro service Component",null),
                    menuitem4: commonLogic.appcommonhandle("Parts",null),
                    menuitem112: commonLogic.appcommonhandle("Application Class",null),
                    menuitem186: commonLogic.appcommonhandle("Data Kanban",null),
                    menuitem129: commonLogic.appcommonhandle("Portal Components",null),
                    menuitem156: commonLogic.appcommonhandle("Single Data Class",null),
                    menuitem12: commonLogic.appcommonhandle("Edit Form",null),
                    menuitem15: commonLogic.appcommonhandle("Basic Form Item",null),
                    menuitem107: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem47: commonLogic.appcommonhandle("New Default",null),
                    menuitem99: commonLogic.appcommonhandle("Update Default",null),
                    menuitem48: commonLogic.appcommonhandle("InputPrompt",null),
                    menuitem49: commonLogic.appcommonhandle("AuxiliaryInput",null),
                    menuitem50: commonLogic.appcommonhandle("Auto Fill",null),
                    menuitem51: commonLogic.appcommonhandle("Hyperlinks",null),
                    menuitem52: commonLogic.appcommonhandle("Form Value Reset",null),
                    menuitem55: commonLogic.appcommonhandle("DynamicDisplay",null),
                    menuitem53: commonLogic.appcommonhandle("DynamicEnable",null),
                    menuitem54: commonLogic.appcommonhandle("DynamicNullInput",null),
                    menuitem56: commonLogic.appcommonhandle("Form Item Update",null),
                    menuitem108: commonLogic.appcommonhandle("Form Value Rule",null),
                    menuitem16: commonLogic.appcommonhandle("Search Form",null),
                    menuitem157: commonLogic.appcommonhandle("Navigation Class",null),
                    menuitem120: commonLogic.appcommonhandle("Paging Navigation",null),
                    menuitem128: commonLogic.appcommonhandle("Grid Navigation",null),
                    menuitem114: commonLogic.appcommonhandle("List Navigation",null),
                    menuitem137: commonLogic.appcommonhandle("Card Navigation",null),
                    menuitem136: commonLogic.appcommonhandle("Tree Navigation",null),
                    menuitem138: commonLogic.appcommonhandle("Calendar Navigation",null),
                    menuitem139: commonLogic.appcommonhandle("Timeline Navigation",null),
                    menuitem20: commonLogic.appcommonhandle("Data Relation Paging",null),
                    menuitem117: commonLogic.appcommonhandle("Data Relation Bar(up and down relationship)",null),
                    menuitem118: commonLogic.appcommonhandle("Data Relation Bar (pagination relation)",null),
                    menuitem116: commonLogic.appcommonhandle("Data Relation Column",null),
                    menuitem158: commonLogic.appcommonhandle("Panel Class",null),
                    menuitem145: commonLogic.appcommonhandle("Select View Panel",null),
                    menuitem17: commonLogic.appcommonhandle("Wizard Panel",null),
                    menuitem134: commonLogic.appcommonhandle("BasicUsage",null),
                    menuitem135: commonLogic.appcommonhandle("State Properties",null),
                    menuitem121: commonLogic.appcommonhandle("Multi Edit View Panel",null),
                    menuitem115: commonLogic.appcommonhandle("Multiple Forms (row records)",null),
                    menuitem123: commonLogic.appcommonhandle("Multi Form (top page)",null),
                    menuitem119: commonLogic.appcommonhandle("Multi Data Class",null),
                    menuitem13: commonLogic.appcommonhandle("Grid",null),
                    menuitem57: commonLogic.appcommonhandle("禁用排序",null),
                    menuitem59: commonLogic.appcommonhandle("行操作",null),
                    menuitem58: commonLogic.appcommonhandle("行编辑",null),
                    menuitem73: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem74: commonLogic.appcommonhandle("TableRowEditing",null),
                    menuitem75: commonLogic.appcommonhandle("New Default",null),
                    menuitem76: commonLogic.appcommonhandle("Update Default",null),
                    menuitem77: commonLogic.appcommonhandle("Table Value Rules",null),
                    menuitem132: commonLogic.appcommonhandle("Table Column Update",null),
                    menuitem133: commonLogic.appcommonhandle("Grid Column Reset",null),
                    menuitem78: commonLogic.appcommonhandle("Automatic Grouping",null),
                    menuitem80: commonLogic.appcommonhandle("Code Table Grouping",null),
                    menuitem81: commonLogic.appcommonhandle("Current Page Aggregation",null),
                    menuitem82: commonLogic.appcommonhandle("Remote Aggregation",null),
                    menuitem83: commonLogic.appcommonhandle("List",null),
                    menuitem84: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem85: commonLogic.appcommonhandle("Automatic Grouping",null),
                    menuitem86: commonLogic.appcommonhandle("Code Table Grouping",null),
                    menuitem91: commonLogic.appcommonhandle("Item Layout Panel",null),
                    menuitem143: commonLogic.appcommonhandle("Custom Plug In",null),
                    menuitem95: commonLogic.appcommonhandle("Calendar",null),
                    menuitem96: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem97: commonLogic.appcommonhandle("Timeline Style",null),
                    menuitem109: commonLogic.appcommonhandle("Item Layout Panel",null),
                    menuitem64: commonLogic.appcommonhandle("Custom Plug In",null),
                    menuitem14: commonLogic.appcommonhandle("Tree View",null),
                    menuitem60: commonLogic.appcommonhandle("Static Node",null),
                    menuitem61: commonLogic.appcommonhandle("Dynamic Node (code table)",null),
                    menuitem62: commonLogic.appcommonhandle("Dynamic Node (entity)",null),
                    menuitem63: commonLogic.appcommonhandle("RightClickOperation",null),
                    menuitem111: commonLogic.appcommonhandle("GanttChart",null),
                    menuitem110: commonLogic.appcommonhandle("Tree Grid",null),
                    menuitem87: commonLogic.appcommonhandle("Data View",null),
                    menuitem88: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem89: commonLogic.appcommonhandle("Automatic Grouping",null),
                    menuitem90: commonLogic.appcommonhandle("Code Table Grouping",null),
                    menuitem94: commonLogic.appcommonhandle("Item Layout Panel",null),
                    menuitem152: commonLogic.appcommonhandle("Custom Plug In",null),
                    menuitem101: commonLogic.appcommonhandle("Kanban View",null),
                    menuitem102: commonLogic.appcommonhandle("Built In Features",null),
                    menuitem104: commonLogic.appcommonhandle("Code Table Grouping",null),
                    menuitem105: commonLogic.appcommonhandle("Item Layout Panel",null),
                    menuitem37: commonLogic.appcommonhandle("Data Chart",null),
                    menuitem38: commonLogic.appcommonhandle("Bar Chart",null),
                    menuitem39: commonLogic.appcommonhandle("Line Chart",null),
                    menuitem40: commonLogic.appcommonhandle("PieChart",null),
                    menuitem41: commonLogic.appcommonhandle("RegionalChart",null),
                    menuitem42: commonLogic.appcommonhandle("Radar Chart",null),
                    menuitem5: commonLogic.appcommonhandle("View",null),
                    menuitem140: commonLogic.appcommonhandle("Single Data View",null),
                    menuitem161: commonLogic.appcommonhandle("Entity Wizard View",null),
                    menuitem8: commonLogic.appcommonhandle("Entity Edit View",null),
                    menuitem162: commonLogic.appcommonhandle("Entity Edit View (pagination relations)",null),
                    menuitem163: commonLogic.appcommonhandle("Entity Editing View (up-down relationship)",null),
                    menuitem164: commonLogic.appcommonhandle("Entity Editing View (left-right relationship)",null),
                    menuitem165: commonLogic.appcommonhandle("Entity Pagination Navigation View",null),
                    menuitem166: commonLogic.appcommonhandle("Entity Data Kanban View",null),
                    menuitem167: commonLogic.appcommonhandle("Entity Options Operations View",null),
                    menuitem141: commonLogic.appcommonhandle("Multi Data View",null),
                    menuitem79: commonLogic.appcommonhandle("Entity Grid View",null),
                    menuitem168: commonLogic.appcommonhandle("Entity Multi Form Edit View",null),
                    menuitem169: commonLogic.appcommonhandle("Entity Gantt View",null),
                    menuitem9: commonLogic.appcommonhandle("Entity List View",null),
                    menuitem170: commonLogic.appcommonhandle("Entity Calendar View",null),
                    menuitem171: commonLogic.appcommonhandle("Entity Kanban View",null),
                    menuitem172: commonLogic.appcommonhandle("Entity Grid View",null),
                    menuitem173: commonLogic.appcommonhandle("Entity Tree View",null),
                    menuitem174: commonLogic.appcommonhandle("Entity Data View",null),
                    menuitem175: commonLogic.appcommonhandle("Entity Chart View",null),
                    menuitem10: commonLogic.appcommonhandle("Navigation View",null),
                    menuitem176: commonLogic.appcommonhandle("Entity Grid Navigation View",null),
                    menuitem177: commonLogic.appcommonhandle("Entity List Navigation View",null),
                    menuitem178: commonLogic.appcommonhandle("Entity Card Navigation View",null),
                    menuitem179: commonLogic.appcommonhandle("Entity Calendar Navigation View",null),
                    menuitem180: commonLogic.appcommonhandle("Entity Tree Navigation View",null),
                    menuitem26: commonLogic.appcommonhandle("Select View",null),
                    menuitem18: commonLogic.appcommonhandle("Data Selection View",null),
                    menuitem27: commonLogic.appcommonhandle("Index Selection View",null),
                    menuitem69: commonLogic.appcommonhandle("Workflow",null),
                    menuitem30: commonLogic.appcommonhandle("Workflow Dynamic Navigation View",null),
                    menuitem31: commonLogic.appcommonhandle("Workflow Start",null),
                    menuitem21: commonLogic.appcommonhandle("工作流动态操作视图",null),
                    menuitem214: commonLogic.appcommonhandle("统一待办",null),
                    menuitem231: commonLogic.appcommonhandle("工作流动态编辑视图（分页关系）",null),
                    menuitem232: commonLogic.appcommonhandle("工作流动态编辑视图",null),
                    menuitem11: commonLogic.appcommonhandle("Other Views",null),
                    menuitem98: commonLogic.appcommonhandle("Custom View",null),
                    menuitem212: commonLogic.appcommonhandle("自定义实现表格视图",null),
                    menuitem153: commonLogic.appcommonhandle("Logic",null),
                    menuitem154: commonLogic.appcommonhandle("Application Function",null),
                    menuitem127: commonLogic.appcommonhandle("Open Application View",null),
                    menuitem147: commonLogic.appcommonhandle("Open HTML Page",null),
                    menuitem160: commonLogic.appcommonhandle("Executing JavaScript",null),
                    menuitem155: commonLogic.appcommonhandle("Interface Behavior",null),
                    menuitem181: commonLogic.appcommonhandle("Front End Interface Behavior",null),
                    menuitem182: commonLogic.appcommonhandle("Background Interface Behavior",null),
                    menuitem2: commonLogic.appcommonhandle("More",null),
                    menuitem19: commonLogic.appcommonhandle("Temporary Mode",null),
                    menuitem46: commonLogic.appcommonhandle("Data Import And Export",null),
                    menuitem67: commonLogic.appcommonhandle("Index Entity",null),
                    menuitem184: commonLogic.appcommonhandle("Main State",null),
                    menuitem70: commonLogic.appcommonhandle("Grid Main State",null),
                    menuitem148: commonLogic.appcommonhandle("List Main State",null),
                    menuitem183: commonLogic.appcommonhandle("Data Main State",null),
                    menuitem28: commonLogic.appcommonhandle("Calendar Main State",null),
                    menuitem29: commonLogic.appcommonhandle("Tree Main State",null),
                    menuitem22: commonLogic.appcommonhandle("测试",null),
                    menuitem23: commonLogic.appcommonhandle("卡片导航",null),
                    menuitem24: commonLogic.appcommonhandle("表单嵌入卡片视图",null),
                    menuitem25: commonLogic.appcommonhandle("关系界面刷新主表单",null),
                    menuitem208: commonLogic.appcommonhandle("界面逻辑测试",null),
                    menuitem209: commonLogic.appcommonhandle("表格加载",null),
                    menuitem249: commonLogic.appcommonhandle("逻辑树",null),
                    menuitem210: commonLogic.appcommonhandle("表单界面逻辑加载",null),
                    menuitem131: commonLogic.appcommonhandle("表格部件界面逻辑测试",null),
                    menuitem66: commonLogic.appcommonhandle("视图布局面板测试",null),
                    menuitem125: commonLogic.appcommonhandle("多媒体布局组件",null),
                    menuitem126: commonLogic.appcommonhandle("表格导航",null),
                    menuitem130: commonLogic.appcommonhandle("布局组件测试",null),
                    menuitem205: commonLogic.appcommonhandle("项布局面板布局",null),
                    menuitem142: commonLogic.appcommonhandle("数据容器测试",null),
                    menuitem189: commonLogic.appcommonhandle("项布局面板测试",null),
                    menuitem213: commonLogic.appcommonhandle("按钮测试",null),
                    menuitem190: commonLogic.appcommonhandle("视图",null),
                    menuitem191: commonLogic.appcommonhandle("单数据视图",null),
                    menuitem192: commonLogic.appcommonhandle("实体向导视图",null),
                    menuitem193: commonLogic.appcommonhandle("实体编辑视图",null),
                    menuitem194: commonLogic.appcommonhandle("实体编辑视图（分页关系）",null),
                    menuitem195: commonLogic.appcommonhandle("实体编辑视图（上下关系）",null),
                    menuitem196: commonLogic.appcommonhandle("实体编辑视图（左右关系）",null),
                    menuitem197: commonLogic.appcommonhandle("实体分页导航视图",null),
                    menuitem198: commonLogic.appcommonhandle("实体数据看板视图",null),
                    menuitem199: commonLogic.appcommonhandle("实体选项操作视图",null),
                    menuitem200: commonLogic.appcommonhandle("多数据视图",null),
                    menuitem122: commonLogic.appcommonhandle("表格视图面板",null),
                    menuitem202: commonLogic.appcommonhandle("实体多表单编辑视图",null),
                    menuitem203: commonLogic.appcommonhandle("实体甘特视图",null),
                    menuitem204: commonLogic.appcommonhandle("实体列表视图",null),
                    menuitem187: commonLogic.appcommonhandle("测试布局面板（日历视图）",null),
                    menuitem206: commonLogic.appcommonhandle("实体看板视图",null),
                    menuitem207: commonLogic.appcommonhandle("实体树表格视图",null),
                    menuitem185: commonLogic.appcommonhandle("测试布局面板（树视图）",null),
                    menuitem159: commonLogic.appcommonhandle("卡片视图（布局面板）",null),
                    menuitem188: commonLogic.appcommonhandle("测试布局面板（图表）",null),
                    menuitem211: commonLogic.appcommonhandle("导航视图",null),
                    menuitem215: commonLogic.appcommonhandle("实体表格导航视图",null),
                    menuitem216: commonLogic.appcommonhandle("实体列表导航视图",null),
                    menuitem217: commonLogic.appcommonhandle("实体卡片导航视图",null),
                    menuitem218: commonLogic.appcommonhandle("实体日历导航视图",null),
                    menuitem219: commonLogic.appcommonhandle("实体树导航视图",null),
                    menuitem220: commonLogic.appcommonhandle("选择视图",null),
                    menuitem221: commonLogic.appcommonhandle("数据选择视图",null),
                    menuitem222: commonLogic.appcommonhandle("索引选择视图",null),
                    menuitem223: commonLogic.appcommonhandle("工作流",null),
                    menuitem224: commonLogic.appcommonhandle("工作流动态导航视图",null),
                    menuitem225: commonLogic.appcommonhandle("工作流启动",null),
                    menuitem226: commonLogic.appcommonhandle("工作流动态操作视图",null),
                    menuitem227: commonLogic.appcommonhandle("其他视图",null),
                    menuitem230: commonLogic.appcommonhandle("自定义视图",null),
                    menuitem233: commonLogic.appcommonhandle("插件",null),
                    menuitem236: commonLogic.appcommonhandle("部件插件",null),
                    menuitem234: commonLogic.appcommonhandle("表格列插件",null),
                    menuitem151: commonLogic.appcommonhandle("Editor PlugIn Example",null),
                    menuitem235: commonLogic.appcommonhandle("视图样式插件",null),
                    menuitem237: commonLogic.appcommonhandle("表格模板插件（透视表）",null),
                    menuitem239: commonLogic.appcommonhandle("界面样式表",null),
                    menuitem240: commonLogic.appcommonhandle("测试菜单项",null),
                    menuitem241: commonLogic.appcommonhandle("vue3插件测试",null),
                    menuitem242: commonLogic.appcommonhandle("视图插件",null),
                    menuitem243: commonLogic.appcommonhandle("应用首页",null),
                    menuitem244: commonLogic.appcommonhandle("编辑视图",null),
                    menuitem245: commonLogic.appcommonhandle("表格视图",null),
                    menuitem246: commonLogic.appcommonhandle("向导视图",null),
                    menuitem247: commonLogic.appcommonhandle("选项操作视图",null),
                    menuitem248: commonLogic.appcommonhandle("列表视图",null),
                    menuitem250: commonLogic.appcommonhandle("树视图",null),
                    menuitem251: commonLogic.appcommonhandle("部件插件",null),
                    menuitem252: commonLogic.appcommonhandle("表单",null),
                    menuitem253: commonLogic.appcommonhandle("表格",null),
                    menuitem254: commonLogic.appcommonhandle("部件项插件",null),
                    menuitem255: commonLogic.appcommonhandle("表格列",null),
                    menuitem259: commonLogic.appcommonhandle("其他插件",null),
                },
            },
            formpage:{
                error: "Error",
                desc1: "Operation failed, failed to find current form item",
                desc2: "Can't continue",
                notconfig: {
                    loadaction: "View form loadAction parameter is not configured",
                    loaddraftaction: "View form loaddraftAction parameter is not configured",
                    actionname: "View form actionName parameter is not configured",
                    removeaction: "View form removeAction parameter is not configured",
                },
                saveerror: "Error saving data",
                savecontent: "The data is inconsistent. The background data may have been modified. Do you want to reload the data?",
                valuecheckex: "Value rule check exception",
                savesuccess: "Saved successfully!",
                deletesuccess: "Successfully deleted!",  
                workflow: {
                    starterror: "Workflow started successfully",
                    startsuccess: "Workflow failed to start",
                    submiterror: "Workflow submission failed",
                    submitsuccess: "Workflow submitted successfully",
                },
                updateerror: "Form item update failed",       
            },
            gridBar: {
                title: "Table navigation bar",
            },
            multiEditView: {
                notConfig: {
                    fetchAction: "View multi-edit view panel fetchAction parameter is not configured",
                    loaddraftAction: "View multi-edit view panel loaddraftAction parameter is not configured",
                },
            },
            dataViewExpBar: {
                title: "Card view navigation bar",
            },
            kanban: {
                notConfig: {
                    fetchAction: "View list fetchAction parameter is not configured",
                    removeAction: "View table removeAction parameter is not configured",
                },
                delete1: "Confirm to delete ",
                delete2: "the delete operation will be unrecoverable!",
                fold: "fold",
                unfold: "upfold",
            },
            dashBoard: {
                handleClick: {
                    title: "Panel design",
                },
            },
            dataView: {
                sum: "total",
                data: "data",
            },
            chart: {
                undefined: "Undefined",
                quarter: "Quarter",   
                year: "Year",
            },
            searchForm: {
                notConfig: {
                    loadAction: "View search form loadAction parameter is not configured",
                    loaddraftAction: "View search form loaddraftAction parameter is not configured",
                },
                custom: "Store custom queries",
                title: "Name",
            },
            wizardPanel: {
                back: "Back",
                next: "Next",
                complete: "Complete",
                preactionmessage:"The calculation of the previous behavior is not configured"
            },
            viewLayoutPanel: {
                appLogoutView: {
                    prompt1: "Dear customer, you have successfully exited the system, after",
                    prompt2: "seconds, we will jump to the",
                    logingPage: "login page",
                },
                appWfstepTraceView: {
                    title: "Application process processing record view",
                },
                appWfstepDataView: {
                    title: "Application process tracking view",
                },
                appLoginView: {
                    username: "Username",
                    password: "Password",
                    login: "Login",
                },
            },
        },
        entities: {
            ibizbook: ibizbook_en_US(),
            ibizsample0019: ibizsample0019_en_US(),
            ibizsample0009: ibizsample0009_en_US(),
            ibizcustom: ibizcustom_en_US(),
            ibizhardware: ibizhardware_en_US(),
            ibizsample0020: ibizsample0020_en_US(),
            ibizsample0017: ibizsample0017_en_US(),
            microcomponent: microcomponent_en_US(),
            ibizsample0013: ibizsample0013_en_US(),
            ibizorderdetail: ibizorderdetail_en_US(),
            ibizsample0003: ibizsample0003_en_US(),
            ibizsample0006: ibizsample0006_en_US(),
            ibizsample0021: ibizsample0021_en_US(),
            ibizappctrl: ibizappctrl_en_US(),
            ibizsoftwaresuit: ibizsoftwaresuit_en_US(),
            ibiztaskteam: ibiztaskteam_en_US(),
            ibizsample0012: ibizsample0012_en_US(),
            ibizordertype: ibizordertype_en_US(),
            ibizsample0005: ibizsample0005_en_US(),
            ibizappeditor: ibizappeditor_en_US(),
            ibizaccount: ibizaccount_en_US(),
            ibizorder: ibizorder_en_US(),
            ibizsample: ibizsample_en_US(),
            ibizcustomer: ibizcustomer_en_US(),
            ibizcustomermg: ibizcustomermg_en_US(),
            ibizsample0014: ibizsample0014_en_US(),
            ibizsample0010: ibizsample0010_en_US(),
            ibizappview: ibizappview_en_US(),
            ibizsample0018: ibizsample0018_en_US(),
            ibizsample0015: ibizsample0015_en_US(),
            ibizsample0001: ibizsample0001_en_US(),
            ibizcustomer_intf: ibizcustomer_intf_en_US(),
            ibizsample0007: ibizsample0007_en_US(),
            ibizsample0004: ibizsample0004_en_US(),
            ibizsample0008: ibizsample0008_en_US(),
            ibizappextendeditor: ibizappextendeditor_en_US(),
            ibizcpu: ibizcpu_en_US(),
            ibizsample0002: ibizsample0002_en_US(),
            ibizstorage: ibizstorage_en_US(),
            ibizsupplier: ibizsupplier_en_US(),
            ibiztask: ibiztask_en_US(),
            dynadashboard: dynadashboard_en_US(),
            ibizuniproduct: ibizuniproduct_en_US(),
            ibizsample0011: ibizsample0011_en_US(),
            ibizsample0016: ibizsample0016_en_US(),
        },
        components: components_en_US(),
        codelist: codelist_en_US(),
        userCustom: userCustom_en_US(),
    };
    return data;
}
export default getAppLocale;